Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.core.ontology
Class Concept

    java.lang.Object
      ch.uzh.ifi.attempto.acewiki.core.ontology.OntologyElement
          ch.uzh.ifi.attempto.acewiki.core.ontology.Concept

All Implemented Interfaces:
  java.lang.Comparable<OntologyElement>

Direct Known Subclasses:
  NounConcept

    public abstract class Concept

extends OntologyElement

This abstract class represents a concept (other terminologies call it "unary relation", "class", or "type").

Author:
  Tobias Kuhn

Constructor Summary
`protected` | `Concept()` Initializes the concept.

Method Summary
`boolean` | `areIndividualsCached()` Returns true if the individuals of this concept are cached and do not have to be recalculated.
`boolean` | `areSubConceptsCached()` Returns true if the sub-concepts of this concept are cached and do not have to be recalculated.
`boolean` | `areSuperConceptsCached()` Returns true if the suber-concepts of this concept are cached and do not have to be recalculated.
`java.util.List<Individual>` | `getIndividuals()` Returns all individuals that belong to this concept.
`java.util.List<Concept>` | `getSubConcepts()` Returns all sub-concepts of this concept.
`java.util.List<Concept>` | `getSuperConcepts()` Returns all super-concepts of this concept.

Methods inherited from class ch.uzh.ifi.attempto.acewiki.core.ontology.OntologyElement
`add, changeWords, compareTo, edit, getHeadword, getInternalType, getOntology, getPrettyWord, getSentences, getType, getURI, getURISuffix, getWord, getWord, getWords, log, registerAt, remove, setWords, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Concept

    protected Concept()

  Initializes the concept.

Method Detail

### getIndividuals

    public java.util.List<Individual> getIndividuals()

  Returns all individuals that belong to this concept.

  Returns:
    A list of all individuals of this concept.
  See Also:
    `Ontology.getIndividuals(Concept)`

### areIndividualsCached

    public boolean areIndividualsCached()

  Returns true if the individuals of this concept are cached and do not have to be recalculated.

  Returns:
    true if the individuals are cached.

### getSuperConcepts

    public java.util.List<Concept> getSuperConcepts()

  Returns all super-concepts of this concept.

  Returns:
    A list of all super-concepts.
  See Also:
    `Ontology.getSuperConcepts(Concept)`

### areSuperConceptsCached

    public boolean areSuperConceptsCached()

  Returns true if the suber-concepts of this concept are cached and do not have to be recalculated.

  Returns:
    true if the super-concepts are cached.

### getSubConcepts

    public java.util.List<Concept> getSubConcepts()

  Returns all sub-concepts of this concept.

  Returns:
    A list of all sub-concepts.
  See Also:
    `Ontology.getSubConcepts(Concept)`

### areSubConceptsCached

    public boolean areSubConceptsCached()

  Returns true if the sub-concepts of this concept are cached and do not have to be recalculated.

  Returns:
    true if the sub-concepts are cached.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)